MCUX CLNS MCUX Crypto Library Normal Secure |

Functions
mcuxClSession_Functions
mcuxClSession

Defines all functions of mcuxClSession. More...

## Functions
mcuxClSession_Status_Protected_t | mcuxClSession_init (mcuxClSession_Handle_t session, uint32_t *const cpuWaBuffer, uint32_t cpuWaSize, uint32_t *const pkcWaBuffer, uint32_t pkcWaSize)
| Initialize a Crypto Library session. More...
mcuxClSession_Status_Protected_t | mcuxClSession_setRtf (mcuxClSession_Handle_t session, mcuxClSession_Rtf_t RtfOptions)
| Set the RTF option in a Crypto Library session. More...
mcuxClSession_Status_Protected_t | mcuxClSession_cleanup (mcuxClSession_Handle_t session)
| Clean up a Crypto Library session. More...
mcuxClSession_Status_Protected_t | mcuxClSession_destroy (mcuxClSession_Handle_t session)
| Destroy a Crypto Library session. More...

## Detailed Description

Defines all functions of mcuxClSession.

## Function Documentation

## ◆ mcuxClSession_init()

mcuxClSession_Status_Protected_t mcuxClSession_init | ( | mcuxClSession_Handle_t | session,
|  | uint32_t *const | cpuWaBuffer,
|  | uint32_t | cpuWaSize,
|  | uint32_t *const | pkcWaBuffer,
|  | uint32_t | pkcWaSize
| ) |  |

Initialize a Crypto Library session.

Parameters

  session | Session to be initialized.
  cpuWaBuffer | Buffer to be used as workarea for CPU operations.
  cpuWaSize | Size of the workarea for CPU operations.
  pkcWaBuffer | Buffer to be used as workarea for PKC operations.
  pkcWaSize | Size of the workarea for PKC operations.
  rngCtx | Context to be used for RNG operations.

Returns
  status

Examples
  mcuxClEcc_Mont_example.c, mcuxClKey_example.c, mcuxClMac_cmac_oneshot_example.c, mcuxClRsa_sign_NoEncode_example.c, mcuxClRsa_sign_pss_sha2_256_example.c, mcuxClRsa_verify_NoVerify_example.c, and mcuxClRsa_verify_pssverify_sha2_256_example.c.

## ◆ mcuxClSession_setRtf()

mcuxClSession_Status_Protected_t mcuxClSession_setRtf | ( | mcuxClSession_Handle_t | session,
|  | mcuxClSession_Rtf_t | RtfOptions
| ) |  |

Set the RTF option in a Crypto Library session.

Parameters

  session | Session to be initialized.
  RtfOptions | Options to define RTF processing.

Returns
  status

## ◆ mcuxClSession_cleanup()

mcuxClSession_Status_Protected_t mcuxClSession_cleanup | ( | mcuxClSession_Handle_t | session | ) |

Clean up a Crypto Library session.

This function will (securely) cleanup the session, which will still be usable afterwards.

Parameters

  session | Session to be cleaned.

Returns
  status

Examples
  mcuxClEcc_Mont_example.c, mcuxClKey_example.c, mcuxClMac_cmac_oneshot_example.c, mcuxClRsa_sign_NoEncode_example.c, mcuxClRsa_sign_pss_sha2_256_example.c, mcuxClRsa_verify_NoVerify_example.c, and mcuxClRsa_verify_pssverify_sha2_256_example.c.

## ◆ mcuxClSession_destroy()

mcuxClSession_Status_Protected_t mcuxClSession_destroy | ( | mcuxClSession_Handle_t | session | ) |

Destroy a Crypto Library session.

This function will (securely) cleanup the session, including uninitialization etc. The session will no longer be usable afterwards.

Parameters

  session | Session to be destroyed.

Returns
  status

Examples
  mcuxClEcc_Mont_example.c, mcuxClKey_example.c, mcuxClMac_cmac_oneshot_example.c, mcuxClRsa_sign_NoEncode_example.c, mcuxClRsa_sign_pss_sha2_256_example.c, mcuxClRsa_verify_NoVerify_example.c, and mcuxClRsa_verify_pssverify_sha2_256_example.c.